This mod lets you play TF2's custom gamemode, Saxton Hale, in Risk of Rain 2, which is activatable via artifact.  This mode is a 1 versus all style gamemode where one player controls Mithrix and attempts to kill the other players before they kill him.
By default, the mode will give you some default items and teleport everyone to the unused Moon arena to fight Mithrix, but the mod can be configured to have this gamemode trigger at the end of a normal run as well,
if you'd like to spice it up with your friends a little bit.  Some gameplay changes during the gamemode for balance/fun:

- Mithrix's hammer spawns power orbs (same as phase 4) on hammer slam.  Amount can be adjusted in the config.

- Mithrix can't be frozen

- Mithrix summons player-controlled exploders with his jump, phase 4 can jump and summons player-controlled clones instead

- Phase 2 is skipped during Saxton Hale mode

- Mithrix's jump comes down much faster except in phase 4, where it comes down much slower to let players kill the clones before Mithrix comes back

- Mithrix can do his ultimate in phase 4

- REX's flower only lasts for 3 seconds, still heals the same amount

- Phase 4 shoots more shards, making it very deadly compared to vanilla

## Tips

- Mithrix's left-click becomes the shards when he is running.  Jumping and landing whilst running resets it to the hammer

- R becomes your ultimate when you jump to the center of the arena in phase 3.

- Mithrix's right-click ability has a lot of endlag, but it can be cancelled immediately by dashing

- Slamming your hammer, dashing, running, then using your normal left-click will bypass the attack cooldown

- Remember that jump comes down much faster now, use it to catch players near the arena center off-guard

- Players may try to loop you around the stone structures found in the arena.  Use your orbs and minions to make it hard for him to do this, with your ultimate as the ultimate displacement tool

## Future Features

- Add more bosses (definitely add new DLC final boss when it comes out)

- Balance changes

- Custom item loadouts?

- Fix bugs

- More config options

## Config Options

- Natural Rounds: Turning on the artifact has a normal round play out, which then switches to Saxton Hale once the players reach Mithrix naturally

- Player Level: What level the players are set to when the mode is played and natural rounds is off.  Default is 20.

- Boss Level: What level Mithrix is set to when the mode is played and natural rounds is off.  Default is 42.

- Ball Amount: How many orbs Mithrix spawns when slamming the ground with his hammer.  Default is 12.

## Changelog

1.0.1

- Fixed client messages not being sent through.  Happy new year!

1.0.0

- Release.  Merry Christmas!